import request from "@/api/request.js";

// 头部信息
/**
 * @param { page, size, keyword, type, domains } 
 */
export function search(data) {
    return request({
        method: 'POST',
        url: `/temporarySearch/search-info/es/page`,
        data:data
    })
}

/**
 * @param { type } 4:智库列表  6：科技人物所属机构
 */
// 智库列表
export function getThinkTankList(params) {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-organization-names`,
        params
    })
}

// 立法阶段
export function getStatusList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/dBillStage`,
    })
}

// 省名字列表
export function getProvinceList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-provinceName`,
    })
}

// 国家列表
export function getCountryList() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-countryName`,
    })
}

// 实体类型
export function getEntityTypes() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/entityTypes`,
    })
}

// 物项类别
export function getMaterialCategory() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-materialCategory`,
    })
}

// 商业管制清单-管控原因
export function getControlReason() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-controlReason`,
    })
}

// 科技人物-人物类别
export function getPersonType() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-personType`,
    })
}

// 科技企业-企业类型
export function getBusinessType() {
    return request({
        method: 'GET',
        url: `/temporarySearch/search-info/all-businessType`,
    })
}